<?
/*	  $_GET parameters:

"S"	=	records page size;
"P"	=	records page number;
"F"	=	filter;
"O"	=	order by;
"R" =   print only record count for the table or the filter dataset;

	  Filter parameter:

$isWhere =	Is "where" clause present in the query?

*/

$ArrayOperators=array("=","<>",">",">=","<","<=");

define("EQUAL",0);
define("NOTEQUAL",1);
define("GREATER",2);
define("GREATEREQUAL",3);
define("MINOR",4);
define("MINOREQUAL",5);
define("INCLUSIVE",6);
define("NOTINCLUSIVE",7);
define("ONTHELIST",8);
define("NOTONTHELIST",9);
define("BEGINS","A");
define("NOTBEGINS","B");
define("ENDS","C");
define("NOTENDS","D");
define("CONTAINS","E");
define("NOTCONTAINS","F");
define("ONTHELIST","G");
define("NOTONTHELIST","H");
define("EMPTI","I");
define("NOTEMPTY","L");
define("BOOLEANTRUE","M");
define("BOOLEANFALSE","N");

function CompleteDateValue ($field,$date,$criterion) {
	global $ArrayOperators;
	$date=str_replace("\\\\","/",$date);
	$date=str_replace(".",":",$date);
	if (!strpos($date,"/")) { //only the year is specified
		if ($criterion==EQUAL)
			return FormatFieldName($field) . '>=' . FormatDate('1/1/' . $date . ' 00:00:00'). '" AND '. FormatFieldName($field).'<="' . FormatDate('31/12/' . $date . ' 23:59:59');
		else if ($criterion==NOTEQUAL)
			return "(" . FormatFieldName($field) . '<' . FormatDate('1/1/' . $date . ' 00:00:00') . ' OR ' . FormatFieldName($field) . '>' . FormatDate('31/12/' . $date . ' 23:59:59') . ')';
		else if ($criterion==GREATER || $criterion==MINOREQUAL)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate('31/12/' . $date . ' 23:59:59');
		else if ($criterion==GREATEREQUAL || $criterion==MINOR)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate('1/1/' . $date . ' 00:00:00');
	} else if (strpos($date,"/")==strrpos($date,"/")) { // month/year are specified
		$days=GetDaysInMonth(substr($date,0,strpos($date,"/")),substr($date,strpos($date,"/")+1));
		if ($criterion==EQUAL)
			return FormatFieldName($field) . '>=' . FormatDate('1/' . $date . ' 00:00:00') . ' AND ' . FormatFieldName($field) . '<=' . FormatDate($days . '/' . $date . ' 23:59:59');
		else if ($criterion==NOTEQUAL)
			return "(" . FormatFieldName($field) . '<' . FormatDate('1/' . $date . ' 00:00:00') . ' OR ' . FormatFieldName($field).'>"' . FormatDate($days . '/' . $date. ' 23:59:59') . ')';
		else if ($criterion==GREATER || $criterion==MINOREQUAL)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($days . '/' . $date . ' 23:59:59');
		else if ($criterion==GREATEREQUAL || $criterion==MINOR)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate('1/' . $date . ' 00:00:00');
	} else if (!strpos($date," ")) { // day/month/year are specified
		if ($criterion==EQUAL)
			return FormatFieldName($field) . '>=' . FormatDate($date . ' 00:00:00') . ' AND ' . FormatFieldName($field) . '<=' . FormatDate($date . ' 23:59:59');
		else if ($criterion==NOTEQUAL)
			return "(" . FormatFieldName($field) . '<' . FormatDate($date . ' 00:00:00') . ' OR ' . FormatFieldName($field) . '>' . FormatDate($date . ' 23:59:59') . ')';
		else if ($criterion==GREATER || $criterion==MINOREQUAL)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ' 23:59:59');
		else if ($criterion==GREATEREQUAL || $criterion==MINOR)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ' 00:00:00');
	} else if (!strpos($date,":")) { // day/month/year hour are specified
		if ($criterion==EQUAL)
			return FormatFieldName($field) . '>=' . FormatDate($date . ':00:00') . ' AND ' . FormatFieldName($field) . '<=' . FormatDate($date . ':59:59');
		else if ($criterion==NOTEQUAL)
			return "(" . FormatFieldName($field) . '<' . FormatDate($date . ':00:00') . ' OR ' . FormatFieldName($field) . '>' . FormatDate($date . ':59:59') . ')';
		else if ($criterion==GREATER || $criterion==MINOREQUAL)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ':59:59');
		else if ($criterion==GREATEREQUAL || $criterion==MINOR)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ':00:00');
	} else if (strpos($date,":")==strrpos($date,":") && strpos($date,":")!=-1 && strrpos($date,":")!=-1) { // day/month/year hour:minute are specified
		if ($criterion==EQUAL)
			return FormatFieldName($field) . '>=' . FormatDate($date . ':00') . ' AND ' . FormatFieldName($field) . '<=' . FormatDate($date . ':59');
		else if ($criterion==NOTEQUAL)
			return "(" . FormatFieldName($field) . '<' . FormatDate($date . ':00') . ' OR ' . FormatFieldName($field) . '>' . FormatDate($date . ':59') . ')';
		else if ($criterion==GREATER || $criterion==MINOREQUAL)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ':59');
		else if ($criterion==GREATEREQUAL || $criterion==MINOR)
			return FormatFieldName($field) . $ArrayOperators[$criterion] . FormatDate($date . ':00');
	}
	//a complete datetime value is specified
	return FormatFieldName($field) . $ArrayOperators[$criterion] . '"' . $date . '"';
}

function DbPage() {
	if ($_GET["S"]==0) return;
	if (isset($_GET["P"])) return " LIMIT " . ($_GET["P"]) * $_GET["S"] .",".$_GET["S"];
	//TODO: return page query for dbs that don't support "LIMIT"
}

function Filter($isWhere) {
	global $ArrayFilter,$ArrayFilterType,$ArrayOperators;
	if (!isset($_GET["F"])) return;
	$af=split("~",$_GET["F"]);
	if ($isWhere) $s=" AND "; else $s="";
	foreach($af as $ff) {
		if ($s!="") $s.=" AND ";
		$fi=split("[|]",$ff);
		if (is_numeric($fi[1]) && $fi[1]>=EQUAL && $fi[1]<=MINOREQUAL) {
			if ($ArrayFilterType[$fi[0]]=="D")
				$s.=CompleteDateValue($fi[0],$fi[2],$fi[1]);
			else
				$s.=FormatFieldName($fi[0]) . $ArrayOperators[$fi[1]] . FormatFieldValue($fi[0],$fi[2]);
		} else if ($fi[1]==INCLUSIVE) {
			if ($ArrayFilterType[$fi[0]]=="D")
				$s.=CompleteDateValue($fi[0],$fi[2],GREATEREQUAL) . " AND " . CompleteDateValue($fi[0],$fi[3],MINOREQUAL);
			else
				$s.=FormatFieldName($fi[0]) . ">=" . FormatFieldValue($fi[0],$fi[2]) .
					" AND " . FormatFieldName($fi[0]) . "<=" . FormatFieldValue($fi[0],$fi[3]);
		} else if ($fi[1]==NOTINCLUSIVE) {
			if ($ArrayFilterType[$fi[0]]=="D")
				$s.="(" . CompleteDateValue($fi[0],$fi[2],MINOR) . " OR " . CompleteDateValue($fi[0],$fi[3],GREATER) . ")";
			else
				$s.="(". FormatFieldName($fi[0]) . "<" . FormatFieldValue($fi[0],$fi[2]) .
					" OR " . FormatFieldName($fi[0]) . ">" . FormatFieldValue($fi[0],$fi[3]).")";
		} else if ($fi[1]==ONTHELIST) {
			$s.="(";
			for ($i=2;$i<count($fi);$i++) {
				if ($i<>2) $s.=" OR ";
				if ($ArrayFilterType[$fi[0]]=="D")
					$s.=CompleteDateValue($fi[0],$fi[$i],EQUAL);
				else
					$s.=FormatFieldName($fi[0])."=" . FormatFieldValue($fi[0],$fi[$i]);
			}
			$s.=")";
		} else if ($fi[1]==NOTONTHELIST) {
			for ($i=2;$i<count($fi);$i++) {
				if ($i<>2) $s.=" AND ";
				if ($ArrayFilterType[$fi[0]]=="D")
					$s.=CompleteDateValue($fi[0],$fi[$i],NOTEQUAL);
				else
					$s.=FormatFieldName($fi[0]) . "<>" . FormatFieldValue($fi[0],$fi[$i]);
			}
		} else if ($fi[1]==BEGINS) {
			$s.="`".$ArrayFilter[$fi[0]].'` LIKE "'.urldecode($fi[2]).'%"';
		} else if ($fi[1]==NOTBEGINS) {
			$s.="`".$ArrayFilter[$fi[0]].'` NOT LIKE "'.urldecode($fi[2]).'%"';
		} else if ($fi[1]==ENDS) {
			$s.="`".$ArrayFilter[$fi[0]].'` LIKE "%'.urldecode($fi[2]).'"';
		} else if ($fi[1]==NOTENDS) {
			$s.="`".$ArrayFilter[$fi[0]].'` NOT LIKE "%'.urldecode($fi[2]).'"';
		} else if ($fi[1]==CONTAINS) {
			$s.="`".$ArrayFilter[$fi[0]].'` LIKE "%'.urldecode($fi[2]).'%"';
		} else if ($fi[1]==NOTCONTAINS) {
			$s.="`".$ArrayFilter[$fi[0]].'` NOT LIKE "%'.urldecode($fi[2]).'%"';
		} else if ($fi[1]==EMPTI) {
			$s.="(`".$ArrayFilter[$fi[0]].'` IS NULL OR `'.$ArrayFilter[$fi[0]].'`=';
			if ($ArrayFilterType[$fi[0]]=="S" || $ArrayFilterType[$fi[0]]=="I")
				$s.="''";
			else if ($ArrayFilterType[$fi[0]]=="D")
				$s.=NULLDATE;
			else
				$s.="0";
			$s.=")";
		} else if ($fi[1]==NOTEMPTY) {
			$s.="`".$ArrayFilter[$fi[0]].'` IS NOT NULL AND `'.$ArrayFilter[$fi[0]].'`<>';
			if ($ArrayFilterType[$fi[0]]=="S" || $ArrayFilterType[$fi[0]]=="I")
				$s.="''";
			else if ($ArrayFilterType[$fi[0]]=="D")
				$s.=NULLDATE;
			else
				$s.="0";
		} else if ($fi[1]==BOOLEANTRUE) {
			$s.="`".$ArrayFilter[$fi[0]].'`';
		} else if ($fi[1]==BOOLEANFALSE) {
			$s.="NOT `".$ArrayFilter[$fi[0]].'`';
		} 
	}
	if (!$isWhere) $s=" WHERE " . $s;
	return $s;
}

function FormatFieldName($field) {
	global $ArrayFilter;
	return "`" . $ArrayFilter[$field] . "`";
}

function FormatFieldValue($field,$value) {
	global $ArrayFilterType,$imgPath;
	if ($ArrayFilterType[$field]=="D") 
		return FormatDate($value);
	if ($ArrayFilterType[$field]=="N")
		return (float) urldecode(strtr($value,",","."));	
	if ($ArrayFilterType[$field]=="I" && isset($imgPath))
		return '"' . str_replace($imgPath,"",urldecode($value)) . '"';
	return '"'. urldecode($value) . '"';
}

function GetDaysInMonth ($month,$year) {
	if ($month==2) { 
		if ( ($year % 4)==0 )
			return 29;
		return 28;
	}
	if ($month==1 || $month==3 || $month==5 || $month==7 || $month==8 || $month==10 || $month==12 )
		return 31;
	return 30;
}


function OrderBy() {
	if (!isset($_GET["O"])) return;
	global $ArraySortAsc,$ArraySortDesc;
	$as=split(",",$_GET["O"]);
	$s="";
	foreach ($as as $val) {
		if ($s!="") $s.=",";
		if (substr($val,0,1)=="A")
			$s.="`".$ArraySortAsc[substr($val,1)] ."` ASC";
		else 
			$s.="`". $ArraySortDesc[substr($val,1)] ."` DESC";
	}
	return " ORDER BY " . $s;
}