DROP TABLE IF EXISTS Products;

CREATE TABLE Products (
  IDProduct INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  ProductName VARCHAR(255),
  Provider VARCHAR(255),
  Category VARCHAR(255),
  UnitQuantity VARCHAR(255),
  UnitPrice DOUBLE,
  Stores SMALLINT(6),
  OrderedQuantity SMALLINT(6),
  ReorderLevel SMALLINT(6),
  Suspended BOOL,
  PRIMARY KEY (IDProduct),
  INDEX (ProductName)
);

INSERT INTO Products VALUES (1, 'Chai', 'Exotic Liquids', 'Bevande', '10 scatole da 20 filtri', '27000', 39, 0, 10, 0);
INSERT INTO Products VALUES (2, 'Chang', 'Exotic Liquids', 'Bevande', '24 bottiglie da 360 ml', '28500', 17, 40, 25, 0);
INSERT INTO Products VALUES (3, 'Aniseed Syrup', 'Exotic Liquids', 'Condimenti', '12 bottiglie da 550 ml', '15000', 13, 70, 25, 0);
INSERT INTO Products VALUES (4, 'Chef Anton\'s Cajun Seasoning', 'New Orleans Cajun Delights', 'Condimenti', '48 vasetti da 180 g', '33000', 53, 0, 0, 0);
INSERT INTO Products VALUES (5, 'Chef Anton\'s Gumbo Mix', 'New Orleans Cajun Delights', 'Condimenti', '36 scatole', '32025', 0, 0, 0, 1);
INSERT INTO Products VALUES (6, 'Grandma\'s Boysenberry Spread', 'Grandma Kelly\'s Homestead', 'Condimenti', '12 vasetti da 250 g', '37500', 120, 0, 25, 0);
INSERT INTO Products VALUES (7, 'Uncle Bob\'s Organic Dried Pears', 'Grandma Kelly\'s Homestead', 'Prod. agricoli', '12 confezioni da 500 g', '45000', 15, 0, 10, 0);
INSERT INTO Products VALUES (8, 'Northwoods Cranberry Sauce', 'Grandma Kelly\'s Homestead', 'Condimenti', '12 vasetti 360 g', '60000', 6, 0, 0, 0);
INSERT INTO Products VALUES (9, 'Mishi Kobe Niku', 'PB Knckebrd AB', 'Carne/pollame', '18 confezioni da 500 g', '145500', 29, 0, 0, 1);
INSERT INTO Products VALUES (10, 'Ikura', 'Tokyo Traders', 'Prod. ittici', '12 vasetti da 200 ml', '46500', 31, 0, 0, 0);
INSERT INTO Products VALUES (11, 'Queso Cabrales', 'Cooperativa de Quesos \'Las Cabras\'', 'Latticini', '1 confezione da 1 kg', '31500', 22, 30, 30, 0);
INSERT INTO Products VALUES (12, 'Queso Manchego La Pastora', 'Cooperativa de Quesos \'Las Cabras\'', 'Latticini', '10 confezioni da 500 gr', '57000', 86, 0, 0, 0);
INSERT INTO Products VALUES (13, 'Konbu', 'Mayumi\'s', 'Prod. ittici', '1 scatola da 2 kg', '9000', 24, 0, 5, 0);
INSERT INTO Products VALUES (14, 'Tofu', 'Mayumi\'s', 'Prod. agricoli', '40 confezioni da 100 g', '34875', 35, 0, 0, 0);
INSERT INTO Products VALUES (15, 'Genen Shouyu', 'Mayumi\'s', 'Condimenti', '24 bottiglie da 250 ml', '23250', 39, 0, 5, 0);
INSERT INTO Products VALUES (16, 'Pavlova', 'Pavlova, Ltd.', 'Dolciumi', '32 scatole da 500 g', '26175', 29, 0, 10, 0);
INSERT INTO Products VALUES (17, 'Alice Mutton', 'Pavlova, Ltd.', 'Carne/pollame', '20 latte da 1 kg', '58500', 0, 0, 0, 1);
INSERT INTO Products VALUES (18, 'Carnarvon Tigers', 'Pavlova, Ltd.', 'Prod. ittici', '1 confezione da 16 kg', '93750', 42, 0, 0, 0);
INSERT INTO Products VALUES (19, 'Teatime Chocolate Biscuits', 'Specialty Biscuits, Ltd.', 'Dolciumi', '12 scatole da 12 pezzi', '13800', 25, 0, 5, 0);
INSERT INTO Products VALUES (20, 'Sir Rodney\'s Marmalade', 'Specialty Biscuits, Ltd.', 'Dolciumi', '30 confezioni regalo', '121500', 40, 0, 0, 0);
INSERT INTO Products VALUES (21, 'Sir Rodney\'s Scones', 'Specialty Biscuits, Ltd.', 'Dolciumi', '24 confezioni da 4 pezzi', '15000', 3, 40, 5, 0);
INSERT INTO Products VALUES (22, 'Gustaf\'s Knckebrd', 'PB Knckebrd AB', 'Cereali', '24 confezioni da 500 g', '31500', 104, 0, 25, 0);
INSERT INTO Products VALUES (23, 'Tunnbrd', 'PB Knckebrd AB', 'Cereali', '12 confezioni da 250 g', '13500', 61, 0, 25, 0);
INSERT INTO Products VALUES (24, 'Guaran Fantstica', 'Refrescos Americanas LTDA', 'Bevande', '12 lattine da 355 ml', '6750', 20, 0, 0, 1);
INSERT INTO Products VALUES (25, 'NuNuCa Nu-Nougat-Creme', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '20 vasi da 450 g', '21000', 76, 0, 30, 0);
INSERT INTO Products VALUES (26, 'Gumbr Gummibrchen', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '100 sacchetti da 250 g', '46845', 15, 0, 0, 0);
INSERT INTO Products VALUES (27, 'Schoggi Schokolade', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '100 pezzi da 100 g', '65850', 49, 0, 30, 0);
INSERT INTO Products VALUES (28, 'Rssle Sauerkraut', 'Plusspar Lebensmittelgromrkte AG', 'Prod. agricoli', '25 latte da 825 g', '68400', 26, 0, 0, 1);
INSERT INTO Products VALUES (29, 'Thringer Rostbratwurst', 'Plusspar Lebensmittelgromrkte AG', 'Carne/pollame', '50 confezioni da 30 pezzi', '185685', 0, 0, 0, 1);
INSERT INTO Products VALUES (30, 'Nord-Ost Matjeshering', 'Nord-Ost-Fisch Handelsgesellschaft mbH', 'Prod. ittici', '10 vasi da 20 g', '38835', 10, 0, 15, 0);
INSERT INTO Products VALUES (31, 'Gorgonzola Telino', 'Formaggi Fortini s.r.l.', 'Latticini', '12 confezioni da 100 g', '18750', 0, 70, 20, 0);
INSERT INTO Products VALUES (32, 'Mascarpone Fabioli', 'Formaggi Fortini s.r.l.', 'Latticini', '24 confezioni da 200 g', '48000', 9, 40, 25, 0);
INSERT INTO Products VALUES (33, 'Geitost', 'Norske Meierier', 'Latticini', '1 confezione da 500 g', '3750', 112, 0, 20, 0);
INSERT INTO Products VALUES (34, 'Sasquatch Ale', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '21000', 111, 0, 15, 0);
INSERT INTO Products VALUES (35, 'Steeleye Stout', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '27000', 20, 0, 15, 0);
INSERT INTO Products VALUES (36, 'Inlagd Sill', 'Svensk Sjfda AB', 'Prod. ittici', '24 vasetti da 180 g', '28500', 112, 0, 20, 0);
INSERT INTO Products VALUES (37, 'Gravad lax', 'Svensk Sjfda AB', 'Prod. ittici', '12 confezioni da 500 g', '39000', 11, 50, 25, 0);
INSERT INTO Products VALUES (38, 'Cte de Blaye', 'Aux joyeux ecclsiastiques', 'Bevande', '12 bottiglie da 75 cl', '395250', 17, 0, 15, 0);
INSERT INTO Products VALUES (39, 'Chartreuse verte', 'Aux joyeux ecclsiastiques', 'Bevande', 'bottiglie da 750 cc', '27000', 69, 0, 5, 0);
INSERT INTO Products VALUES (40, 'Boston Crab Meat', 'New England Seafood Cannery', 'Prod. ittici', '24 lattine da 120 g', '27600', 123, 0, 30, 0);
INSERT INTO Products VALUES (41, 'Jack\'s New England Clam Chowder', 'New England Seafood Cannery', 'Prod. ittici', '12 lattine da 360 ml', '14475', 85, 0, 10, 0);
INSERT INTO Products VALUES (42, 'Singaporean Hokkien Fried Mee', 'Leka Trading', 'Cereali', '32 confezioni da 1 kg', '21000', 26, 0, 0, 1);
INSERT INTO Products VALUES (43, 'Ipoh Coffee', 'Leka Trading', 'Bevande', '16 lattine da 500 g', '69000', 17, 10, 25, 0);
INSERT INTO Products VALUES (44, 'Gula Malacca', 'Leka Trading', 'Condimenti', '20 confezioni da 2 kg', '29175', 27, 0, 15, 0);
INSERT INTO Products VALUES (45, 'Rgede sild', 'Lyngbysild', 'Prod. ittici', 'confezione da 1 kg', '14250', 5, 70, 15, 0);
INSERT INTO Products VALUES (46, 'Spegesild', 'Lyngbysild', 'Prod. ittici', '4 vasetti da 450 g', '18000', 95, 0, 0, 0);
INSERT INTO Products VALUES (47, 'Zaanse koeken', 'Zaanse Snoepfabriek', 'Dolciumi', '10 scatole da 125 g', '14250', 36, 0, 0, 0);
INSERT INTO Products VALUES (48, 'Chocolade', 'Zaanse Snoepfabriek', 'Dolciumi', '10 confezioni', '19125', 15, 70, 25, 0);
INSERT INTO Products VALUES (49, 'Maxilaku', 'Karkki Oy', 'Dolciumi', '24 confezioni da 50 g', '30000', 10, 60, 15, 0);
INSERT INTO Products VALUES (50, 'Valkoinen suklaa', 'Karkki Oy', 'Dolciumi', '12 barre da 100 g', '24375', 65, 0, 30, 0);
INSERT INTO Products VALUES (51, 'Manjimup Dried Apples', 'G\'day, Mate', 'Prod. agricoli', '50 confezioni da 300 g', '79500', 20, 0, 10, 0);
INSERT INTO Products VALUES (52, 'Filo Mix', 'G\'day, Mate', 'Cereali', '16 scatole da 2 kg', '10500', 38, 0, 25, 0);
INSERT INTO Products VALUES (53, 'Perth Pasties', 'G\'day, Mate', 'Carne/pollame', '48 pezzi', '49200', 0, 0, 0, 1);
INSERT INTO Products VALUES (54, 'Tourtire', 'Ma Maison', 'Carne/pollame', '16 confezioni', '11175', 21, 0, 10, 0);
INSERT INTO Products VALUES (55, 'Pt chinois', 'Ma Maison', 'Carne/pollame', '24 scatole da 2 pezzi', '36000', 115, 0, 20, 0);
INSERT INTO Products VALUES (56, 'Gnocchi di nonna Alice', 'Pasta Buttini s.r.l.', 'Cereali', '24 confezioni da 250 g', '57000', 21, 10, 30, 0);
INSERT INTO Products VALUES (57, 'Ravioli Angelo', 'Pasta Buttini s.r.l.', 'Cereali', '24 confezioni da 250 g', '29250', 36, 0, 20, 0);
INSERT INTO Products VALUES (58, 'Escargots de Bourgogne', 'Escargots Nouveaux', 'Prod. ittici', '24 pezzi', '19875', 62, 0, 20, 0);
INSERT INTO Products VALUES (59, 'Raclette Courdavault', 'Gai pturage', 'Latticini', 'confezioni da 5 kg', '82500', 79, 0, 0, 0);
INSERT INTO Products VALUES (60, 'Camembert Pierrot', 'Gai pturage', 'Latticini', '15 formelle da 300 g', '51000', 19, 0, 0, 0);
INSERT INTO Products VALUES (61, 'Sirop d\'rable', 'Forts d\'rables', 'Condimenti', '24 bottiglie da 500 ml', '42750', 113, 0, 25, 0);
INSERT INTO Products VALUES (62, 'Tarte au sucre', 'Forts d\'rables', 'Dolciumi', '48 torte', '73950', 17, 0, 0, 0);
INSERT INTO Products VALUES (63, 'Vegie-spread', 'Pavlova, Ltd.', 'Condimenti', '15 vasetti da 625 g', '65850', 24, 0, 5, 0);
INSERT INTO Products VALUES (64, 'Wimmers gute Semmelkndel', 'Plusspar Lebensmittelgromrkte AG', 'Cereali', '20 sacchetti da 4 pezzi', '49875', 22, 80, 30, 0);
INSERT INTO Products VALUES (65, 'Louisiana Fiery Hot Pepper Sauce', 'New Orleans Cajun Delights', 'Condimenti', '32 vasetti da 250 g', '31575', 76, 0, 0, 0);
INSERT INTO Products VALUES (66, 'Louisiana Hot Spiced Okra', 'New Orleans Cajun Delights', 'Condimenti', '32 vasetti da 250 g', '25500', 4, 100, 20, 0);
INSERT INTO Products VALUES (67, 'Laughing Lumberjack Lager', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '21000', 52, 0, 10, 0);
INSERT INTO Products VALUES (68, 'Scottish Longbreads', 'Specialty Biscuits, Ltd.', 'Dolciumi', '10 scatole da 8 pezzi', '18750', 6, 10, 15, 0);
INSERT INTO Products VALUES (69, 'Gudbrandsdalsost', 'Norske Meierier', 'Latticini', 'confezioni da 10 kg', '54000', 26, 0, 15, 0);
INSERT INTO Products VALUES (70, 'Outback Lager', 'Pavlova, Ltd.', 'Bevande', '24 bottiglie da 355 ml', '22500', 15, 10, 30, 0);
INSERT INTO Products VALUES (71, 'Fltemysost', 'Norske Meierier', 'Latticini', '10 confezioni da 500 g', '32250', 26, 0, 0, 0);
INSERT INTO Products VALUES (72, 'Mozzarella di Giovanni', 'Formaggi Fortini s.r.l.', 'Latticini', '24 confezioni da 200 g', '52200', 14, 0, 0, 0);
INSERT INTO Products VALUES (73, 'Rd Kaviar', 'Svensk Sjfda AB', 'Prod. ittici', '24 vasetti da 150 g', '22500', 101, 0, 5, 0);
INSERT INTO Products VALUES (74, 'Longlife Tofu', 'Tokyo Traders', 'Prod. agricoli', 'confezione da 5 kg', '15000', 4, 20, 5, 0);
INSERT INTO Products VALUES (75, 'Rhnbru Klosterbier', 'Plusspar Lebensmittelgromrkte AG', 'Bevande', '24 bottiglie da 0,5 l', '11625', 125, 0, 25, 0);
INSERT INTO Products VALUES (76, 'Lakkalikri', 'Karkki Oy', 'Bevande', '500 ml', '27000', 57, 0, 20, 0);
INSERT INTO Products VALUES (77, 'Original Frankfurter grne Soe', 'Plusspar Lebensmittelgromrkte AG', 'Condimenti', '12 scatole', '19500', 32, 0, 15, 0);
INSERT INTO Products VALUES (80, 'Chai', 'Exotic Liquids', 'Bevande', '10 scatole da 20 filtri', '27000', 39, 0, 10, 0);
INSERT INTO Products VALUES (81, 'Chang', 'Exotic Liquids', 'Bevande', '24 bottiglie da 360 ml', '28500', 17, 40, 25, 0);
INSERT INTO Products VALUES (82, 'Aniseed Syrup', 'Exotic Liquids', 'Condimenti', '12 bottiglie da 550 ml', '15000', 13, 70, 25, 0);
INSERT INTO Products VALUES (83, 'Chef Anton\'s Cajun Seasoning', 'New Orleans Cajun Delights', 'Condimenti', '48 vasetti da 180 g', '33000', 53, 0, 0, 0);
INSERT INTO Products VALUES (84, 'Chef Anton\'s Gumbo Mix', 'New Orleans Cajun Delights', 'Condimenti', '36 scatole', '32025', 0, 0, 0, 1);
INSERT INTO Products VALUES (85, 'Grandma\'s Boysenberry Spread', 'Grandma Kelly\'s Homestead', 'Condimenti', '12 vasetti da 250 g', '37500', 120, 0, 25, 0);
INSERT INTO Products VALUES (86, 'Uncle Bob\'s Organic Dried Pears', 'Grandma Kelly\'s Homestead', 'Prod. agricoli', '12 confezioni da 500 g', '45000', 15, 0, 10, 0);
INSERT INTO Products VALUES (87, 'Northwoods Cranberry Sauce', 'Grandma Kelly\'s Homestead', 'Condimenti', '12 vasetti 360 g', '60000', 6, 0, 0, 0);
INSERT INTO Products VALUES (88, 'Mishi Kobe Niku', 'PB Knckebrd AB', 'Carne/pollame', '18 confezioni da 500 g', '145500', 29, 0, 0, 1);
INSERT INTO Products VALUES (89, 'Ikura', 'Tokyo Traders', 'Prod. ittici', '12 vasetti da 200 ml', '46500', 31, 0, 0, 0);
INSERT INTO Products VALUES (90, 'Queso Cabrales', 'Cooperativa de Quesos \'Las Cabras\'', 'Latticini', '1 confezione da 1 kg', '31500', 22, 30, 30, 0);
INSERT INTO Products VALUES (91, 'Queso Manchego La Pastora', 'Cooperativa de Quesos \'Las Cabras\'', 'Latticini', '10 confezioni da 500 gr', '57000', 86, 0, 0, 0);
INSERT INTO Products VALUES (92, 'Konbu', 'Mayumi\'s', 'Prod. ittici', '1 scatola da 2 kg', '9000', 24, 0, 5, 0);
INSERT INTO Products VALUES (93, 'Tofu', 'Mayumi\'s', 'Prod. agricoli', '40 confezioni da 100 g', '34875', 35, 0, 0, 0);
INSERT INTO Products VALUES (94, 'Genen Shouyu', 'Mayumi\'s', 'Condimenti', '24 bottiglie da 250 ml', '23250', 39, 0, 5, 0);
INSERT INTO Products VALUES (95, 'Pavlova', 'Pavlova, Ltd.', 'Dolciumi', '32 scatole da 500 g', '26175', 29, 0, 10, 0);
INSERT INTO Products VALUES (96, 'Alice Mutton', 'Pavlova, Ltd.', 'Carne/pollame', '20 latte da 1 kg', '58500', 0, 0, 0, 1);
INSERT INTO Products VALUES (97, 'Carnarvon Tigers', 'Pavlova, Ltd.', 'Prod. ittici', '1 confezione da 16 kg', '93750', 42, 0, 0, 0);
INSERT INTO Products VALUES (98, 'Teatime Chocolate Biscuits', 'Specialty Biscuits, Ltd.', 'Dolciumi', '12 scatole da 12 pezzi', '13800', 25, 0, 5, 0);
INSERT INTO Products VALUES (99, 'Sir Rodney\'s Marmalade', 'Specialty Biscuits, Ltd.', 'Dolciumi', '30 confezioni regalo', '121500', 40, 0, 0, 0);
INSERT INTO Products VALUES (100, 'Sir Rodney\'s Scones', 'Specialty Biscuits, Ltd.', 'Dolciumi', '24 confezioni da 4 pezzi', '15000', 3, 40, 5, 0);
INSERT INTO Products VALUES (101, 'Gustaf\'s Knckebrd', 'PB Knckebrd AB', 'Cereali', '24 confezioni da 500 g', '31500', 104, 0, 25, 0);
INSERT INTO Products VALUES (102, 'Tunnbrd', 'PB Knckebrd AB', 'Cereali', '12 confezioni da 250 g', '13500', 61, 0, 25, 0);
INSERT INTO Products VALUES (103, 'Guaran Fantstica', 'Refrescos Americanas LTDA', 'Bevande', '12 lattine da 355 ml', '6750', 20, 0, 0, 1);
INSERT INTO Products VALUES (104, 'NuNuCa Nu-Nougat-Creme', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '20 vasi da 450 g', '21000', 76, 0, 30, 0);
INSERT INTO Products VALUES (105, 'Gumbr Gummibrchen', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '100 sacchetti da 250 g', '46845', 15, 0, 0, 0);
INSERT INTO Products VALUES (106, 'Schoggi Schokolade', 'Heli Swaren GmbH & Co. KG', 'Dolciumi', '100 pezzi da 100 g', '65850', 49, 0, 30, 0);
INSERT INTO Products VALUES (107, 'Rssle Sauerkraut', 'Plusspar Lebensmittelgromrkte AG', 'Prod. agricoli', '25 latte da 825 g', '68400', 26, 0, 0, 1);
INSERT INTO Products VALUES (108, 'Thringer Rostbratwurst', 'Plusspar Lebensmittelgromrkte AG', 'Carne/pollame', '50 confezioni da 30 pezzi', '185685', 0, 0, 0, 1);
INSERT INTO Products VALUES (109, 'Nord-Ost Matjeshering', 'Nord-Ost-Fisch Handelsgesellschaft mbH', 'Prod. ittici', '10 vasi da 20 g', '38835', 10, 0, 15, 0);
INSERT INTO Products VALUES (110, 'Gorgonzola Telino', 'Formaggi Fortini s.r.l.', 'Latticini', '12 confezioni da 100 g', '18750', 0, 70, 20, 0);
INSERT INTO Products VALUES (111, 'Mascarpone Fabioli', 'Formaggi Fortini s.r.l.', 'Latticini', '24 confezioni da 200 g', '48000', 9, 40, 25, 0);
INSERT INTO Products VALUES (112, 'Geitost', 'Norske Meierier', 'Latticini', '1 confezione da 500 g', '3750', 112, 0, 20, 0);
INSERT INTO Products VALUES (113, 'Sasquatch Ale', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '21000', 111, 0, 15, 0);
INSERT INTO Products VALUES (114, 'Steeleye Stout', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '27000', 20, 0, 15, 0);
INSERT INTO Products VALUES (115, 'Inlagd Sill', 'Svensk Sjfda AB', 'Prod. ittici', '24 vasetti da 180 g', '28500', 112, 0, 20, 0);
INSERT INTO Products VALUES (116, 'Gravad lax', 'Svensk Sjfda AB', 'Prod. ittici', '12 confezioni da 500 g', '39000', 11, 50, 25, 0);
INSERT INTO Products VALUES (117, 'Cte de Blaye', 'Aux joyeux ecclsiastiques', 'Bevande', '12 bottiglie da 75 cl', '395250', 17, 0, 15, 0);
INSERT INTO Products VALUES (118, 'Chartreuse verte', 'Aux joyeux ecclsiastiques', 'Bevande', 'bottiglie da 750 cc', '27000', 69, 0, 5, 0);
INSERT INTO Products VALUES (119, 'Boston Crab Meat', 'New England Seafood Cannery', 'Prod. ittici', '24 lattine da 120 g', '27600', 123, 0, 30, 0);
INSERT INTO Products VALUES (120, 'Jack\'s New England Clam Chowder', 'New England Seafood Cannery', 'Prod. ittici', '12 lattine da 360 ml', '14475', 85, 0, 10, 0);
INSERT INTO Products VALUES (121, 'Singaporean Hokkien Fried Mee', 'Leka Trading', 'Cereali', '32 confezioni da 1 kg', '21000', 26, 0, 0, 1);
INSERT INTO Products VALUES (122, 'Ipoh Coffee', 'Leka Trading', 'Bevande', '16 lattine da 500 g', '69000', 17, 10, 25, 0);
INSERT INTO Products VALUES (123, 'Gula Malacca', 'Leka Trading', 'Condimenti', '20 confezioni da 2 kg', '29175', 27, 0, 15, 0);
INSERT INTO Products VALUES (124, 'Rgede sild', 'Lyngbysild', 'Prod. ittici', 'confezione da 1 kg', '14250', 5, 70, 15, 0);
INSERT INTO Products VALUES (125, 'Spegesild', 'Lyngbysild', 'Prod. ittici', '4 vasetti da 450 g', '18000', 95, 0, 0, 0);
INSERT INTO Products VALUES (126, 'Zaanse koeken', 'Zaanse Snoepfabriek', 'Dolciumi', '10 scatole da 125 g', '14250', 36, 0, 0, 0);
INSERT INTO Products VALUES (127, 'Chocolade', 'Zaanse Snoepfabriek', 'Dolciumi', '10 confezioni', '19125', 15, 70, 25, 0);
INSERT INTO Products VALUES (128, 'Maxilaku', 'Karkki Oy', 'Dolciumi', '24 confezioni da 50 g', '30000', 10, 60, 15, 0);
INSERT INTO Products VALUES (129, 'Valkoinen suklaa', 'Karkki Oy', 'Dolciumi', '12 barre da 100 g', '24375', 65, 0, 30, 0);
INSERT INTO Products VALUES (130, 'Manjimup Dried Apples', 'G\'day, Mate', 'Prod. agricoli', '50 confezioni da 300 g', '79500', 20, 0, 10, 0);
INSERT INTO Products VALUES (131, 'Filo Mix', 'G\'day, Mate', 'Cereali', '16 scatole da 2 kg', '10500', 38, 0, 25, 0);
INSERT INTO Products VALUES (132, 'Perth Pasties', 'G\'day, Mate', 'Carne/pollame', '48 pezzi', '49200', 0, 0, 0, 1);
INSERT INTO Products VALUES (133, 'Tourtire', 'Ma Maison', 'Carne/pollame', '16 confezioni', '11175', 21, 0, 10, 0);
INSERT INTO Products VALUES (134, 'Pt chinois', 'Ma Maison', 'Carne/pollame', '24 scatole da 2 pezzi', '36000', 115, 0, 20, 0);
INSERT INTO Products VALUES (135, 'Gnocchi di nonna Alice', 'Pasta Buttini s.r.l.', 'Cereali', '24 confezioni da 250 g', '57000', 21, 10, 30, 0);
INSERT INTO Products VALUES (136, 'Ravioli Angelo', 'Pasta Buttini s.r.l.', 'Cereali', '24 confezioni da 250 g', '29250', 36, 0, 20, 0);
INSERT INTO Products VALUES (137, 'Escargots de Bourgogne', 'Escargots Nouveaux', 'Prod. ittici', '24 pezzi', '19875', 62, 0, 20, 0);
INSERT INTO Products VALUES (138, 'Raclette Courdavault', 'Gai pturage', 'Latticini', 'confezioni da 5 kg', '82500', 79, 0, 0, 0);
INSERT INTO Products VALUES (139, 'Camembert Pierrot', 'Gai pturage', 'Latticini', '15 formelle da 300 g', '51000', 19, 0, 0, 0);
INSERT INTO Products VALUES (140, 'Sirop d\'rable', 'Forts d\'rables', 'Condimenti', '24 bottiglie da 500 ml', '42750', 113, 0, 25, 0);
INSERT INTO Products VALUES (141, 'Tarte au sucre', 'Forts d\'rables', 'Dolciumi', '48 torte', '73950', 17, 0, 0, 0);
INSERT INTO Products VALUES (142, 'Vegie-spread', 'Pavlova, Ltd.', 'Condimenti', '15 vasetti da 625 g', '65850', 24, 0, 5, 0);
INSERT INTO Products VALUES (143, 'Wimmers gute Semmelkndel', 'Plusspar Lebensmittelgromrkte AG', 'Cereali', '20 sacchetti da 4 pezzi', '49875', 22, 80, 30, 0);
INSERT INTO Products VALUES (144, 'Louisiana Fiery Hot Pepper Sauce', 'New Orleans Cajun Delights', 'Condimenti', '32 vasetti da 250 g', '31575', 76, 0, 0, 0);
INSERT INTO Products VALUES (145, 'Louisiana Hot Spiced Okra', 'New Orleans Cajun Delights', 'Condimenti', '32 vasetti da 250 g', '25500', 4, 100, 20, 0);
INSERT INTO Products VALUES (146, 'Laughing Lumberjack Lager', 'Bigfoot Breweries', 'Bevande', '24 bottiglie da 360 ml', '21000', 52, 0, 10, 0);
INSERT INTO Products VALUES (147, 'Scottish Longbreads', 'Specialty Biscuits, Ltd.', 'Dolciumi', '10 scatole da 8 pezzi', '18750', 6, 10, 15, 0);
INSERT INTO Products VALUES (148, 'Gudbrandsdalsost', 'Norske Meierier', 'Latticini', 'confezioni da 10 kg', '54000', 26, 0, 15, 0);
INSERT INTO Products VALUES (149, 'Outback Lager', 'Pavlova, Ltd.', 'Bevande', '24 bottiglie da 355 ml', '22500', 15, 10, 30, 0);
INSERT INTO Products VALUES (150, 'Fltemysost', 'Norske Meierier', 'Latticini', '10 confezioni da 500 g', '32250', 26, 0, 0, 0);
INSERT INTO Products VALUES (151, 'Mozzarella di Giovanni', 'Formaggi Fortini s.r.l.', 'Latticini', '24 confezioni da 200 g', '52200', 14, 0, 0, 0);
INSERT INTO Products VALUES (152, 'Rd Kaviar', 'Svensk Sjfda AB', 'Prod. ittici', '24 vasetti da 150 g', '22500', 101, 0, 5, 0);
INSERT INTO Products VALUES (153, 'Longlife Tofu', 'Tokyo Traders', 'Prod. agricoli', 'confezione da 5 kg', '15000', 4, 20, 5, 0);
INSERT INTO Products VALUES (154, 'Rhnbru Klosterbier', 'Plusspar Lebensmittelgromrkte AG', 'Bevande', '24 bottiglie da 0,5 l', '11625', 125, 0, 25, 0);
INSERT INTO Products VALUES (155, 'Lakkalikri', 'Karkki Oy', 'Bevande', '500 ml', '27000', 57, 0, 20, 0);
INSERT INTO Products VALUES (156, 'Original Frankfurter grne Soe', 'Plusspar Lebensmittelgromrkte AG', 'Condimenti', '12 scatole', '19500', 32, 0, 15, 0);

